Search Google Images
curl --request GET \
--url https://scrapebadger.com/v1/google/images/search \
--header 'x-api-key: <api-key>'import requests
url = "https://scrapebadger.com/v1/google/images/search"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://scrapebadger.com/v1/google/images/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"query": "<string>",
"results": [
{
"position": 123,
"title": "<string>",
"link": "<string>",
"source": "<string>",
"thumbnail": "<string>",
"original": "<string>",
"original_width": 123,
"original_height": 123
}
],
"language": "en",
"country": "us"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Images
Search Google Images
Search Google Images for visual content.
GET
/
v1
/
google
/
images
/
search
Search Google Images
Authorizations
Query Parameters
Image search query
Country code
Language code
Time/filter string (e.g. qdr:d)
Image size: l=large, m=medium, i=icon, xXl, etc.
Image color: color, gray, transparent, red, orange, etc.
Image type: face, photo, clipart, lineart, animated
Safe search: off, active
Page number (0-based, each page = 20 results)
Required range:
x >= 0
